Subject: [bug#57055] [PATCH 2/2] gnu: Add guile-srfi-146.

From: pukkamustard <[email-masked]>
Date: Mon, 29 Aug 2022 08:48:54 +0000

Hi,

I think I finally understand your reasoning (also thanks to the thread
on guix-devel -
https://lists.gnu.org/archive/html/guix-devel/2022-08/msg00167.html) and
agree.

Will send in V3 shortly with license:isc added to the list of licenses
with a comment.

Thank you for your elaborations and patience.

- pukkamustard

Maxime Devos <[email-masked]> writes:

> [[PGP Signed Part:Undecided]]
> On 19-08-2022 15:41, pukkamustard wrote:
>
>> I'm no legal expert, but I think I am free to distribute it only
>> under LGPL-3.0-or-later (and not also ISC). And I prefer to do so.
> Sure, go ahead and distribute it as LGPL-3.0-or-later, but I don't see
> how it follows that license:isc should be removed from the license
> list.
>
> However, to me it seems inaccurate that you do not have to follow the
> ISC by following the LGPL-3.0-or-later instead. The ISC has a line:
>> ;; [...] The above copyright notice and this permission notice shall
>> be included
>> ;; in all copies or substantial portions of the Software. [...]
> Even if ISC permits relicensing, I would assume you will still have to
> follow that. Otherwise, you could circumvent 'preserve this copyright
> notice / preserve authorship information / ...’ requirements by
> relicensing it as something very permissive, which seems a loophole to
> me.
>> For prior cases see modules/srfi/srfi-71.scm as distributed with
>> Guile. The file contains a SRFI sample implementation with the same ISC
>> license header. It seems to be fine to relicense modules distributed
>> with Guile as LGPL-3.0-or-later.
>
> I am not following, how is this relicensing?
>
>> In the Guix package definition for Guile only license:lgpl3+ is listed (and not license:isc).
>
> Right, I would add license:isc with an appropriate comment to the list
> in the Guile package definition, looks like the license information
> for that package is incomplete.
>
> [...]
>
> More generally, I don't see a need for computing an 'effective
> license' (*) of the licenses of the individual files, given the lack
> of legal experts here and as 'licenses' accepts a list, not only a
> single item.
>
> (*) things like 'isc or expat + lgplN-or-later -> lgplN-or-later'.
>
> Greetings,
> Maxime.
>
> [2. OpenPGP public key --- application/pgp-keys; OpenPGP_0x49E3EE22191725EE.asc]...
>
> [[End of PGP Signed Part]]